Subject: bug#69573: Eager macro-expansion failure: (wrong-type-argument integer-or-marker-p nil)

From: Michael Heerdegen <[email-masked]>
Date: Thu, 07 Mar 2024 06:55:17 +0100

Michael Heerdegen via "Bug reports for GNU Emacs, the Swiss army knife
of text editors" <[email-masked]> writes:

> I can't find a commit "ac89b1141a26" in my repository, though.  Where
> does your Emacs come from (is it maybe a modified version)?

Forget this question please.  I can now reproduce with master, too.

But: This is only reproducible when I build Emacs with native
compilation enabled.  Then I get this backtrace with your recipe:

| Debugger entered--Lisp error: (wrong-type-argument integer-or-marker-p nil)
|   forward-paragraph(1)
|   fill-forward-paragraph(1)
|   fill-region(11 528 left t)
|   easy-mmode--mode-docstring("MWE mode" "Mwe mode" mwe-mode-map mwe-mode nil)
|   #f(compiled-function (arg1 arg2 &rest rest) "Define a new minor mode MODE....
|   elisp--eval-last-sexp(nil)

When I load the source of paragraphs.el (where `forward-paragraph' is
defined) the problem goes away.

Maybe Andrea can help?  Just CC'd - I don't know how to continue here.

Thx,

Michael.